{{- if .Values.istio.enabled -}}
---
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: {{ include "common.names.fullname" . }}-public
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
      {{- include "common.tplvalues.render" (dict "value" .Values.commonLabels "context" $) | nindent 4 }}
    {{- end }}
  {{- if or .Values.commonAnnotations .Values.istio.virtualservices.public.annotations }}
  annotations:
    {{- if .Values.commonAnnotations }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
    {{- end }}
    {{- if .Values.istio.virtualservices.public.annotations }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.istio.virtualservices.public.annotations "context" $ ) | nindent 4 }}
    {{- end }}
  {{- end }}
spec:
  hosts: {{ toYaml .Values.istio.virtualservices.public.hosts | nindent 4 }}
  gateways: {{ toYaml .Values.istio.virtualservices.public.gateways | nindent 4 }}
  http:
    - route:
        - destination:
            host: {{ .Values.istio.virtualservices.destination.host }}
            port:
              number: {{ .Values.istio.virtualservices.port }}
---
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: {{ include "common.names.fullname" . }}-internal
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
      {{- include "common.tplvalues.render" (dict "value" .Values.commonLabels "context" $) | nindent 4 }}
    {{- end }}
  {{- if or .Values.commonAnnotations .Values.istio.virtualservices.internal.annotations }}
  annotations:
    {{- if .Values.commonAnnotations }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
    {{- end }}
    {{- if .Values.istio.virtualservices.internal.annotations }}
      {{- include "common.tplvalues.render" ( dict "value" .Values.istio.virtualservices.internal.annotations "context" $ ) | nindent 4 }}
    {{- end }}
  {{- end }}
spec:
  hosts: {{ toYaml .Values.istio.virtualservices.internal.hosts | nindent 4 }}
  gateways: {{ toYaml .Values.istio.virtualservices.internal.gateways | nindent 4 }}
  http:
    - route:
        - destination:
            host: {{ .Values.istio.virtualservices.destination.host }}
            port:
              number: {{ .Values.istio.virtualservices.port }}
---
apiVersion: networking.istio.io/v1beta1
kind: DestinationRule
metadata:
  name: {{ include "common.names.fullname" . }}
  labels: {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.commonLabels }}
      {{- include "common.tplvalues.render" (dict "value" .Values.commonLabels "context" $) | nindent 4 }}
    {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
spec:
  host: {{ .Values.istio.virtualservices.destination.host }}
  trafficPolicy:
    tls:
      mode: SIMPLE
      sni: {{ .Values.istio.virtualservices.destination.sni }}
{{- end -}}
